%define debug_package %{nil}
Name:           ukui-biometric-manager
Version:        1.0.3
Release:        1
Summary:        manager for biometric authentication
License:        GPL-2+
URL:            http://www.ukui.org
Source0:        %{name}-%{version}.tar.gz

BuildRequires: qt5-qtbase-devel
BuildRequires: gsettings-qt-devel
BuildRequires: glib2-devel
BuildRequires: qt5-qtx11extras-devel
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: pkgconf
BuildRequires: qt5-qttools-devel
BuildRequires: libX11-devel
BuildRequires: opencv



%description
 This package is a tool to manage the drivers of biometric devices and
 users' features and manage whether biometric authentication is enabled.
 The service is provided by biometric-authentication.service in
 biometric-auth package.


%prep
%setup -q

%build
mkdir build && cd build
qmake-qt5 ..
make 

%install
rm -rf $RPM_BUILD_ROOT
cd %{_builddir}/%{name}-%{version}/build
make INSTALL_ROOT=%{buildroot} install



%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/biometric-manager
%{_datadir}/applications/biometric-manager.desktop
%{_datadir}/pixmaps/biometric-manager.png


%changelog
* Wed May 25 2022 tanyulong <tanyulong@kylinos.cn> - 1.0.3-1
- init package for openEuler
